## python-oslo.vmware 2.34.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

stevedore>=1.20.0 # Apache-2.0
netaddr>=0.7.18 # BSD
six>=1.10.0 # MIT

oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

# for the routing notifier
PyYAML>=3.12 # MIT

lxml!=3.7.0,>=3.4.1 # BSD
suds-jurko>=0.6 # LGPLv3+
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
requests>=2.14.2 # Apache-2.0
urllib3>=1.21.1 # MIT
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.vmware (2.34.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:00:22 +0200

python-oslo.vmware (2.34.1-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 10:13:21 +0200

python-oslo.vmware (2.34.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:43:17 +0200

python-oslo.vmware (2.32.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:53:35 +0200

python-oslo.vmware (2.32.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed inactive uploaders.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 10:51:59 +0100

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-httplib2,
 python3-lxml,
 python3-mock,
 python3-mox3,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-requests,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-suds,
 python3-testscenarios,
 python3-testtools,
 python3-urllib3,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware.git
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-ddt,
 python3-eventlet,
 python3-httplib2,
 python3-lxml,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-suds,
 python3-urllib3,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.vmware 3.0.0

=== debian/changelog ===
python-oslo.vmware (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:03:36 -0400

python-oslo.vmware (2.35.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:06:43 +0000

python-oslo.vmware (2.34.1-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:40:32 -0500

python-oslo.vmware (2.34.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Add missing BD on python3-sphinxcontrib.apidoc.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:35:20 +0100

python-oslo.vmware (2.34.0-0ubuntu3) eoan; urgency=medium

  * d/pydist-overrides, d/tests/python-ostestr: Drop remaining Py2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Aug 2019 11:16:22 -0400

python-oslo.vmware (2.34.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop autopkgtest-pkg-python, as it tries to import non-existant
    package oslo.vmware.
  * d/tests/python-import: Restore import test, which tries to import
    oslo_vmware package.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Aug 2019 15:12:17 -0400

python-oslo.vmware (2.34.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Run all unit tests.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:49:40 -0400

## python-oslo.vmware 3.3.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 stevedore>=1.20.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-six>=1.10.0 # MIT
 
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.vmware (3.3.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:31:34 -0400

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.12.0),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-httplib2,
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-mox3,
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.12),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.vmware
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-ddt,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-lxml (>= 3.4.1),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.vmware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python3-oslo.vmware/usr/lib/python3/dist-packages/oslo_vmware

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
	dh_sphinxdoc
endif

## python-oslo.vmware 3.7.0

=== requirements.txt ===
--- 
+++ 
@@ -11,9 +11,9 @@
 oslo.utils>=3.33.0 # Apache-2.0
 
 # for the routing notifier
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 
-lxml!=3.7.0,>=3.4.1 # BSD
+lxml>=4.5.0 # BSD
 suds-jurko>=0.6 # LGPLv3+
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (3.7.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:29:39 +0200

python-oslo.vmware (3.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of python3-lxml (>= 4.5.0).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:55:10 +0200

python-oslo.vmware (3.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:52:35 +0200

python-oslo.vmware (3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:29:39 +0200

python-oslo.vmware (3.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:06:43 +0200

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-httplib2,
 python3-lxml (>= 4.5.0),
 python3-mox3,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-requests,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-suds,
 python3-testscenarios,
 python3-testtools,
 python3-urllib3,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware.git
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-ddt,
 python3-eventlet,
 python3-httplib2,
 python3-lxml (>= 4.5.0),
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 python3-suds,
 python3-urllib3,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.vmware 3.8.0

=== debian/changelog ===
python-oslo.vmware (3.8.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 21:48:28 +0000

python-oslo.vmware (3.8.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 12:51:18 -0400

python-oslo.vmware (3.7.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:37:04 -0400

python-oslo.vmware (3.6.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:50:20 +0000

python-oslo.vmware (3.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:58:09 -0400

python-oslo.vmware (3.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:41:53 -0400

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
Build-Depends-Indep:
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-hacking,
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-httplib2,
 python3-lxml (>= 4.5.0),
 python3-mock (>= 2.0.0),
 python3-mox3,
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.vmware
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.vmware
Homepage: https://opendev.org/openstack/oslo.vmware

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-ddt,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-lxml (>= 4.5.0),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-urllib3 (>= 1.21.1),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.vmware 3.9.0

=== debian/changelog ===
python-oslo.vmware (3.9.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Jun 2021 11:54:07 +0000

python-oslo.vmware (3.9.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:47:43 +0000

## python-oslo.vmware 3.10.0

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 PyYAML>=3.13 # MIT
 
 lxml>=4.5.0 # BSD
-suds-jurko>=0.6 # LGPLv3+
+suds-community>=0.6 # LGPLv3+
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 requests>=2.14.2 # Apache-2.0
 urllib3>=1.21.1 # MIT

=== debian/changelog ===
python-oslo.vmware (3.10.0-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Dec 2021 22:17:37 +0000

python-oslo.vmware (3.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:47:37 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-oslo.vmware 4.0.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.vmware (4.0.1-3) unstable; urgency=medium

  * Removed python3-mox3 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Dec 2022 18:30:49 +0100

python-oslo.vmware (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:01:27 +0200

python-oslo.vmware (4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:09:03 +0200

python-oslo.vmware (3.10.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:40:17 +0100

python-oslo.vmware (3.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 12:35:50 +0100

python-oslo.vmware (3.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:07:48 +0200

python-oslo.vmware (3.9.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:10:39 +0200

python-oslo.vmware (3.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:28:24 +0200

python-oslo.vmware (3.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:42:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 'oslo_vmware\.tests\.(?!(.*test_service\.MemoryCacheTest\.test_shared_cache.*|.*test_exceptions\.ExceptionsTest\.test_vim_fault_exception_with_cause_and_details.*|.*test_exceptions\.ExceptionsTest\.test_vim_fault_exception.*))'
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.vmware/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.vmware 4.1.1

=== debian/changelog ===
python-oslo.vmware (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:50:00 +0100

## python-oslo.vmware 4.2.0

=== debian/changelog ===
python-oslo.vmware (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-defusedxml as (b-)depends.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:30:45 +0200

python-oslo.vmware (4.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045357).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2023 14:23:20 +0200

python-oslo.vmware (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:50:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
+	find .  -type d -name __pycache__ -exec rm -r {} \+
+	rm -rf doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.vmware 4.3.0

=== debian/changelog ===
python-oslo.vmware (4.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:16:51 +0000

python-oslo.vmware (4.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:30:22 -0400

python-oslo.vmware (4.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:25:51 -0500

python-oslo.vmware (4.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:34:56 -0400

python-oslo.vmware (4.0.0-0ubuntu2) kinetic; urgency=medium

  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 16:00:03 -0400

python-oslo.vmware (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 14:21:47 -0400

python-oslo.vmware (3.10.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:18:33 -0400

## python-oslo.vmware 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 PyYAML>=3.13 # MIT
 
 lxml>=4.5.0 # BSD
+defusedxml>=0.7.1 # BSD
 suds-community>=0.6 # LGPLv3+
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (4.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 12:00:44 +0000

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
 Build-Depends-Indep:
  python3-bandit,
  python3-coverage (>= 4.0),
+ python3-defusedxml (>= 0.7.1),
+ python3-ddt (>= 1.0.1),
  python3-hacking,
- python3-ddt (>= 1.0.1),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
  python3-httplib2,
@@ -41,8 +42,7 @@
  python3-urllib3 (>= 1.21.1),
  python3-yaml (>= 3.13),
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.vmware
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.vmware
 Homepage: https://opendev.org/openstack/oslo.vmware
 
@@ -62,6 +62,7 @@
 Package: python3-oslo.vmware
 Architecture: all
 Depends:
+ python3-defusedxml (>= 0.7.1),
  python3-ddt,
  python3-eventlet (>= 0.18.2),
  python3-httplib2,

## python-oslo.vmware 4.5.0

=== debian/changelog ===
python-oslo.vmware (4.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090583).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:25:26 +0100

python-oslo.vmware (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:30:54 +0200

python-oslo.vmware (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:38:49 +0200

python-oslo.vmware (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:50:58 +0200

python-oslo.vmware (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 23:07:46 +0100

python-oslo.vmware (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:19:35 +0200

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-defusedxml,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-httplib2,
 python3-lxml,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-requests,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-suds,
 python3-testscenarios,
 python3-testtools,
 python3-urllib3,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware.git
Homepage: https://github.com/openstack/oslo.vmware

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.vmware
Architecture: all
Depends:
 python3-ddt,
 python3-defusedxml,
 python3-eventlet,
 python3-httplib2,
 python3-lxml,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 python3-suds,
 python3-urllib3,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: VMware library for OpenStack projects - Python 3.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.vmware 4.6.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

stevedore>=1.20.0 # Apache-2.0
netaddr>=0.7.18 # BSD

oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

# for the routing notifier
PyYAML>=3.13 # MIT

lxml>=4.5.0 # BSD
suds-community>=0.6 # LGPLv3+
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
requests>=2.14.2 # Apache-2.0
urllib3>=1.21.1 # MIT
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (4.6.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 23:32:40 +0100

python-oslo.vmware (4.6.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:49:31 +0100

python-oslo.vmware (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-ddt,
- python3-defusedxml,
  python3-eventlet,
  python3-fixtures,
  python3-hacking,
@@ -58,7 +57,6 @@
 Architecture: all
 Depends:
  python3-ddt,
- python3-defusedxml,
  python3-eventlet,
  python3-httplib2,
  python3-lxml,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.vmware refs/tags/(\d[brc\d\.]+)

## python-oslo.vmware 4.7.0

=== requirements.txt ===
--- 
+++ 
@@ -4,14 +4,8 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-stevedore>=1.20.0 # Apache-2.0
-netaddr>=0.7.18 # BSD
-
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-
-# for the routing notifier
-PyYAML>=3.13 # MIT
 
 lxml>=4.5.0 # BSD
 suds-community>=0.6 # LGPLv3+

=== doc/requirements.txt ===
# These are needed for docs generation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.vmware (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:36:32 +0200

python-oslo.vmware (4.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:34:31 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-hacking,
  python3-httplib2,
  python3-lxml,
- python3-netaddr,
  python3-openstackdocstheme,
  python3-oslo.concurrency,
  python3-oslo.i18n,
@@ -28,12 +27,10 @@
  python3-requests,
  python3-sphinxcontrib.apidoc,
  python3-stestr,
- python3-stevedore,
  python3-suds,
  python3-testscenarios,
  python3-testtools,
  python3-urllib3,
- python3-yaml,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.vmware
@@ -60,16 +57,13 @@
  python3-eventlet,
  python3-httplib2,
  python3-lxml,
- python3-netaddr,
  python3-oslo.concurrency,
  python3-oslo.i18n,
  python3-oslo.utils,
  python3-pbr,
  python3-requests,
- python3-stevedore,
  python3-suds,
  python3-urllib3,
- python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Description: VMware library for OpenStack projects - Python 3.x

## python-oslo.vmware 4.8.0

=== debian/changelog ===
python-oslo.vmware (4.8.0-0ubuntu1) resolute; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 4.8.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/watch: Add signing key check.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 09:34:13 -0800

python-oslo.vmware (4.6.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:55:34 +0000

python-oslo.vmware (4.5.0-0ubuntu2) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Jan 2025 10:24:14 +0000

python-oslo.vmware (4.5.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:30:59 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.vmware/ oslo[._]vmware-(\d.*)\.tar\.gz

## python-oslo.vmware 4.9.0

=== requirements.txt ===
--- 
+++ 
@@ -14,3 +14,4 @@
 urllib3>=1.21.1 # MIT
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
+oslo.service>=4.3.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (4.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add install-missing-files.patch.
  * Add python3-oslo.service as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 10:47:15 +0100

python-oslo.vmware (4.7.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1045357).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 23:48:19 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  python3-openstackdocstheme,
  python3-oslo.concurrency,
  python3-oslo.i18n,
+ python3-oslo.service,
  python3-oslo.utils,
  python3-requests,
  python3-sphinxcontrib.apidoc,
@@ -59,6 +60,7 @@
  python3-lxml,
  python3-oslo.concurrency,
  python3-oslo.i18n,
+ python3-oslo.service,
  python3-oslo.utils,
  python3-pbr,
  python3-requests,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build *.egg-info
+	rm -rf build *.egg-info .pybuild
 	find .  -type d -name __pycache__ -exec rm -r {} \+
 	rm -rf doc/source/reference/api
